local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFireGridEntity = ____shouldFire.shouldFireGridEntity
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostGridEntityUpdate = __TS__Class()
local PostGridEntityUpdate = ____exports.PostGridEntityUpdate
PostGridEntityUpdate.name = "PostGridEntityUpdate"
__TS__ClassExtends(PostGridEntityUpdate, CustomCallback)
function PostGridEntityUpdate.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireGridEntity
    self.featuresUsed = {ISCFeature.GRID_ENTITY_UPDATE_DETECTION}
end
return ____exports
